#
# spec file for package python-gnome
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-gnome
%define _name   gnome-python
Version:        2.28.1
Release:        26.4
Summary:        Python bindings for GNOME
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Url:            ftp://ftp.gnome.org/pub/gnome/sources/gnome-python
Source:         %{_name}-%{version}.tar.bz2
Source1:        README.openSUSE
Source99:       baselibs.conf
BuildRequires:  fdupes
BuildRequires:  libbonobo-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-orbit-devel
Requires:       python-bonobo
Requires:       python-gnomecanvas
Requires:       python-gtk
# Explicitly require all subpackages, so packages depending on python-gnome get
# all modules. Note that the Requires above are really needed by the
# python-gnome bindings.
#Requires:       python-bonobo
Requires:       python-gconf
#Requires:       python-gnomecanvas
Requires:       python-gnomevfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
This package contains Python bindings for libgnome and libgnomeui.

%package -n python-bonobo
Summary:        Python bindings for Bonobo
Group:          Development/Libraries/Python
Requires:       python-gnomecanvas
Requires:       python-gtk
Requires:       python-orbit
%py_requires

%description -n python-bonobo
This package contains Python bindings for Bonobo.

%package -n python-gconf
Summary:        Python bindings for GConf
Group:          Development/Libraries/Python
Requires:       python-gobject2
%py_requires

%description -n python-gconf
This package contains Python bindings for GConf.

%package -n python-gnomecanvas
Summary:        Python bindings for libgnomecanvas
Group:          Development/Libraries/Python
Requires:       python-gtk
%py_requires

%description -n python-gnomecanvas
This package contains Python bindings for libgnomecanvas.

%package -n python-gnomevfs
Summary:        Python bindings for GNOME-VFS
Group:          Development/Libraries/Python
Requires:       python-gobject2
%py_requires

%description -n python-gnomevfs
This package contains Python bindings for GNOME-VFS.

%package devel
Summary:        Headers for python-gnome
Group:          Development/Libraries/Python
# This will bring in all subpackages
Requires:       %{name} = %{version}
Requires:       python-gtk-devel

%description devel
Headers for python-gnome

%prep
%setup -q -n %{_name}-%{version}
cp -a %{S:1} .

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%fdupes %{buildroot}%{py_sitedir}
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

# python-gnome

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README.openSUSE
%dir %{py_sitedir}/gtk-2.0/gnome
%{py_sitedir}/gtk-2.0/gnome/__init__.py*
%{py_sitedir}/gtk-2.0/gnome/_gnome.so
%{py_sitedir}/gtk-2.0/gnome/ui.so

%files -n python-bonobo
%defattr(-,root,root)
%doc COPYING
%{py_sitedir}/gtk-2.0/bonobo/

%files -n python-gconf
%defattr(-,root,root)
%doc COPYING
%{py_sitedir}/gtk-2.0/gconf.so

%files -n python-gnomecanvas
%defattr(-,root,root)
%doc COPYING
%{py_sitedir}/gtk-2.0/gnome/canvas.py*
%{py_sitedir}/gtk-2.0/gnomecanvas.so

%files -n python-gnomevfs
%defattr(-,root,root)
%doc COPYING
%{py_sitedir}/gtk-2.0/gnome/vfs.py*
%{py_sitedir}/gtk-2.0/gnomevfs/
%{_libdir}/gnome-vfs-2.0/modules/libpythonmethod.so

%files devel
%defattr(-,root,root)
%doc examples/
%{_includedir}/%{_name}-2.0/
%{_libdir}/pkgconfig/gnome-python-2.0.pc
# while in theory, this directory should be created and owned by python-gtk,
# there's nothing else using it, so we just own it here
%dir %{_datadir}/pygtk/2.0/argtypes
%{_datadir}/pygtk/2.0/argtypes/*.py*
%{_datadir}/pygtk/2.0/defs/*.defs
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/pygnomevfs/

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Fri Jan  7 2011 vuntz@opensuse.org
- Split all python modules in subpackages, so we can have more
  fine-grained dependencies:
  + Create python-bonobo, python-gconf, python-gnomecanvas,
    python-gnomevfs subpackages.
  + Move some Requires to the relevant subpackages.
  + Ship a README.openSUSE file explaining the setup of the
    package.
- Move code examples to the devel subpackage.
- Add fdupes BuildRequires and use %%fdupes.
* Wed Dec 15 2010 vuntz@opensuse.org
- Own /usr/share/pygtk/2.0/argtypes to fix build.
* Sun Aug  8 2010 vuntz@opensuse.org
- Move .defs and gtk-doc files to devel subpackage.
- Do not call autoreconf without a reason.
- Pass --disable-static to configure.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.28.1:
  + A couple of gconf module bugs fixed
* Sat Jan 23 2010 jengelh@medozas.de
- Package baselibs.conf.
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + Bump version.
- Changes from version 2.27.1:
  + gnome: GOption support in gnome_program_init (bgo#507174)
* Tue Apr 21 2009 matejcik@suse.cz
- update to 2.26.1
  * compatibility with newer modules
  * minor bugfixes
- removed dependency on python-numeric
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gnome-vfs2-32bit/gnome-vfs2-64bit in baselibs.conf
  (bnc#354164).
* Thu Apr 24 2008 maw@suse.de
- Remove some cruft from the spec file
- Use fewer globs in the file list (bnc#237144)
- Reduce build requirements.
* Mon Apr  7 2008 matejcik@suse.cz
- updated to 2.22.0
  * mainly bugfixes and a few new calls available
  * html documentation for pygnomevfs
- included %%sharedir/gtk-doc/html in directory list (not that
  the directories belong to this package, but it wouldn't work
  otherwise)
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * Fix typo in a gnomevfs error message
  * Change gnome-vfs-python-method.c header to LGPL
  * Add a __version__ attribute on some modules with new pygtk
  * Fix memory errors in gconf.Value.get_car/cdr()
  * wrap gnome_vfs_drive_needs_eject
  * Fix warning when reloading the gnome.ui module
  * use python-config to get python includes
  * Wrap gnome_vfs_mime_type_get_equivalence
* Thu Jul 26 2007 jmatejek@suse.cz
- update to 2.18.2
  * upstream fixed Py2.5 ssize issues
  * various bugfixes
* Thu Feb 22 2007 sbrabec@suse.cz
- Removed reference to /opt/gnome (#242979).
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
* Thu Nov 30 2006 sbrabec@suse.cz
- Do not apply Py_ssize_t patch for older products.
* Tue Nov 14 2006 jhargadon@suse.de
- applied a patch to resolve inconsistent use of tabs and spaces
  mentioned in bug #220318
* Mon Oct 23 2006 jmatejek@suse.cz
- update to 2.16.0 (no changes, only promoted 2.15.90 to stable status)
- fixed some 64bit problems from PEP353 conversion
* Sat Sep 30 2006 aj@suse.de
- Cleanup BuildRequires.
* Tue Sep  5 2006 sbrabec@suse.cz
- Build all modules (fixed BuildRequires).
* Wed Aug 16 2006 cthiel@suse.de
- split of -devel package
- buildrequire python-gtk-devel instead of python-gtk
* Thu Aug 10 2006 jmatejek@suse.cz
- update to 2.15.90
- fixes issue that prevented build with new gnome-vfs and bonobo
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan  5 2006 matejcik@suse.cz
- update to 2.12.3
* Wed Dec 14 2005 jmatejek@suse.cz
- update to 2.12.2
* Tue Dec 13 2005 gekker@suse.de
- removed nautilus and nautilus-devel from nfb, not needed and
  causes a loop in the build system
* Mon Oct 17 2005 ro@suse.de
- removed libzvt from neededforbuild (unused)
* Mon Sep  5 2005 gekker@suse.de
- Update to 2.12.0 (GNOME 2.12)
* Tue Aug  2 2005 gekker@suse.de
- update to 2.11.3
* Tue Jul 12 2005 ltinkl@suse.cz
- update to 2.11.2
- fix gnome-canvas build problems
- integrate the gnome-vfs module
* Thu Apr 14 2005 mcihar@suse.cz
- update to 2.10.0
* Tue Feb  8 2005 mcihar@suse.cz
- update to 2.9.4
* Thu Jan 20 2005 mcihar@suse.cz
- update to 2.6.2
* Wed Nov 24 2004 mcihar@suse.cz
- update to 2.6.1
* Mon Nov 22 2004 ro@suse.de
- only use py_ver macro, py_libdir is broken on 9.0 and older
* Mon Aug  9 2004 mcihar@suse.cz
- update to 2.0.3
* Mon Apr 19 2004 mcihar@suse.cz
- compile python code with correct paths inside
* Thu Apr 15 2004 mcihar@suse.cz
- update to 2.0.2
- drop gnome 1.4 support
* Tue Mar 16 2004 mcihar@suse.cz
- compile GNOME 1 version with -fno-strict-aliasing
- move gconf installation using distutils to same place as Makefiles
  install it (bug #36164)
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Wed Oct 15 2003 mcihar@suse.cz
- record-rpm is really not needed
- don't build as root
* Sat Sep 13 2003 ro@suse.de
- fix build (find gdk-pixbuf includes)
* Tue Sep  2 2003 mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 mcihar@suse.cz
- included sources missing from upstream
- moved gnome-vfs files into /opt/gnome
* Tue Aug 26 2003 mcihar@suse.cz
- updated to 1.99.18:
    Many improvements were made to the gnome-print, bonobo, and
    gnome-vfs bindings. Some bugs with SIGCHLD handling were fixed.
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Wed Aug 13 2003 mcihar@suse.cz
- build more modules
* Wed Aug  6 2003 mcihar@suse.cz
- added workaround for lib64 dirs and pkgconfig
* Tue Aug  5 2003 mcihar@suse.cz
- use distutils when possible
- compile python files with correct paths inside
- fix pkgconfig file to not contain buildroot
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 29 2003 mcihar@suse.cz
- make executable only files that should be
* Tue May 27 2003 mcihar@suse.cz
- fixed filelist
* Mon May 12 2003 mcihar@suse.cz
- use versioned dependency on python
* Mon May  5 2003 mcihar@suse.cz
- included also version for gnome 1.4, it is still needed for some apps (fixes
  bug #25150)
- included some examples and more documentation
- gnome 2 version updated to 1.99.16
* Thu Jan 23 2003 mcihar@suse.cz
- updated to 1.99.14
* Thu Jan 16 2003 ro@suse.de
- update neededforbuild
* Mon Dec  2 2002 mcihar@suse.cz
- fixed filelist for lib64
* Wed Nov 27 2002 ro@suse.de
- added gnome-panel,libgtkhtml to neededforbuild
* Wed Nov 27 2002 mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 mcihar@suse.cz
- version for GNOME 2
